<?php

declare(strict_types=1);

namespace Paysera\CheckoutSdk\Entity;

use Paysera\CheckoutSdk\Entity\PaymentCallback\Event;
use Paysera\CheckoutSdk\Entity\PaymentCallback\Order;

class PaymentCallback
{
    private Event $event;
    private Order $order;

    public function __construct(
        Event $event,
        Order $order
    ) {
        $this->event = $event;
        $this->order = $order;
    }

    public function getEvent(): Event
    {
        return $this->event;
    }

    public function getOrder(): Order
    {
        return $this->order;
    }
}
